Summary:        NIS (or YP) client programs
Name:           yp-tools
Version:        4.2.3
Release:        %mkrel 6
License:        GPLv2
Group:          System/Networking
Url:            https://github.com/thkukuk/yp-tools
Source:         https://github.com/thkukuk/yp-tools/archive/v%{version}/yp-tools-%{version}.tar.gz
# fix "Error: unsupported version (-1) from ypbind on 'localhost'" (mga#25447)
Patch0:         yp-tools-4.2.3-ypwhich.patch
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(libtirpc)
Requires:       ypbind

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package's NIS implementation is based on FreeBSD's YP and is a
special port for glibc 2.x and libc versions 5.4.21 and later.  This
package only provides the NIS client programs.  In order to use the
clients, you'll need to already have an NIS server running on your
network. An NIS server is provided in the ypserv package.

Install the yp-tools package if you need NIS client programs for machines
on your network.  You will also need to install the ypbind package on
every machine running NIS client programs.  If you need an NIS server,
you'll need to install the ypserv package on one machine on the network.

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-domainname
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README ChangeLog NEWS etc/nsswitch.conf
%doc THANKS
%{_bindir}/*
%{_mandir}/*/*
%{_sbindir}/*
%{_var}/yp/nicknames


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 4.2.3-6.mga9
+ Revision: 1800294
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 4.2.3-5.mga8
+ Revision: 1655990
- BR libnsl and libtirpc

* Sun Feb 16 2020 umeabot <umeabot> 4.2.3-4.mga8
+ Revision: 1536549
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 18 2019 daviddavid <daviddavid> 4.2.3-3.mga8
+ Revision: 1454477
- increase release due to mga7's one

* Fri Oct 18 2019 daviddavid <daviddavid> 4.2.3-2.mga8
+ Revision: 1454474
- add patch to fix unsupported version from ypbind (mga#25447)

* Sun Sep 23 2018 umeabot <umeabot> 4.2.3-2.mga7
+ Revision: 1302029
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 4.2.3-1.mga7
+ Revision: 1252127
- new version: 4.2.3
- update URL and Source URL

* Wed Apr 18 2018 kekepower <kekepower> 4.2.2-1.mga7
+ Revision: 1219923
- Update to version 4.2.2

* Thu Feb 04 2016 umeabot <umeabot> 2.14-6.mga6
+ Revision: 934420
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.14-5.mga5
+ Revision: 739360
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.14-4.mga5
+ Revision: 690842
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.14-3.mga4
+ Revision: 532664
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 luigiwalser <luigiwalser> 2.14-2.mga4
+ Revision: 469206
- add patch from mancha to fix null pointer deref with glibc 2.17

* Thu May 09 2013 luigiwalser <luigiwalser> 2.14-1.mga4
+ Revision: 412781
- 2.14

* Tue Jan 22 2013 fwang <fwang> 2.12-3.mga3
+ Revision: 390942
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 2.12-2.mga3
+ Revision: 387608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 16 2011 nanardon <nanardon> 2.12-1.mga1
+ Revision: 86552
- 2.12

* Fri Jan 21 2011 ennael <ennael> 2.10-5.mga1
+ Revision: 30674
- imported package yp-tools


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.10-5mdv2011.0
+ Revision: 608261
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.10-4mdv2010.1
+ Revision: 519084
- rebuild

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.10-3mdv2009.1
+ Revision: 317943
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.10-2mdv2008.1
+ Revision: 178843
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 2.10-1mdv2007.0
+ Revision: 121727
- 2.10

* Sat Jul 22 2006 Olivier Thauvin <nanardon@mandriva.org> 2.9-4mdv2007.0
+ Revision: 41833
- rebuild
- Import yp-tools

* Fri Oct 21 2005 Olivier Thauvin <nanardon@mandriva.org> 2.9-3mdk
- Fix non standard perm (rpmlint)

* Fri Oct 21 2005 Olivier Thauvin <nanardon@mandriva.org> 2.9-2mdk
- rebuild

* Fri Aug 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.9-1mdk
- New release 2.9

